Resources
Resources represent bookable non-person assets — such as meeting rooms, vehicles, equipment, or facilities. They can be linked to emails and files, and are used in scheduling and resource planning.
Endpoints
List Resources
GET
/v1/odata/ResourceGet by ID
GET
/v1/odata/Resource({id})Create
POST
/v1/odata/ResourceUpdate
PUT
/v1/odata/Resource({id})Delete
DELETE
/v1/odata/Resource({id})Fields
| Field | Type | Description |
|---|---|---|
Name | String | Display name of the resource |
Token | String | Unique identifier token for the resource |
Relationships
| Relationship | Target Entity | Cardinality | Description |
|---|---|---|---|
Email | N:1 | Associated email | |
| File | File | N:1 | Associated file |
Expanding Relationships
GET
/v1/odata/Resource({id})?$expand=EmailNavigating Relationships
GET
/v1/odata/Resource({id})/Email